Description

A java.lang.NullPointerException occurs when executing the validate_layer script:

Running script validate_layer.
Stript validate_layer aborted.
java.lang.NullPointerException: java.lang.NullPointerException in <script> at line number
188org.gvsig.scripting.ExecuteErrorException: java.lang.NullPointerException: java.lang.NullPointerException in <script> at line
number 188
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:550)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:520)
    at org.gvsig.scripting.impl.DefaultScriptingScript$ScriptTask.run(DefaultScriptingScript.java:664)
Caused by: javax.script.ScriptException: java.lang.NullPointerException: java.lang.NullPointerException in <script> at line
number 188
    at org.python.jsr223.MyPyScriptEngine.scriptException(MyPyScriptEngine.java:209)
    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:138)
    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:532)
    ... 2 more
Caused by: Traceback (most recent call last):
  File "<script>", line 188, in main
java.lang.NullPointerException

    at org.gvsig.fmap.geom.jts.primitive.point.Point2D.equals(Point2D.java:251)

    at org.python.core.PyJavaType$5.__call__(PyJavaType.java:611)

    at org.python.core.PyObjectDerived.__ne__(PyObjectDerived.java:596)

    at org.python.core.PyObject._ne(PyObject.java:1578)

    at org.python.pycode._pyx53.main$13(<script>:212)

    at org.python.pycode._pyx53.call_function(<script>)

    at org.python.core.PyTableCode.call(PyTableCode.java:167)

    at org.python.core.PyBaseCode.call(PyBaseCode.java:308)
    at org.python.core.PyFunction.function___call__(PyFunction.java:471)

    at org.python.core.PyFunction.__call__(PyFunction.java:466)

    at org.python.core.PyFunction.__call__(PyFunction.java:456)

    at org.python.jsr223.MyPyScriptEngine.invokeFunction(MyPyScriptEngine.java:132)

    at org.gvsig.scripting.impl.DefaultScriptingScript.invokeFunction(DefaultScriptingScript.java:532)

    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:520)

    at org.gvsig.scripting.impl.DefaultScriptingScript$ScriptTask.run(DefaultScriptingScript.java:664)
Associated revisions
Revision 43387 - 07/26/2017 11:48 AM - Joaquín  del Cerro Murciano

refs #4534 fix equals method in Point2D Geometry when compare with null object.

History
#1 - 07/26/2017 11:50 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 07/26/2017 11:50 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)

#3 - 08/07/2017 09:56 PM - Antonio Falciano
- Status changed from Fixed to Closed

04/30/2024 2/2


